Table of Contents

## Name

XtAppSetTypeConverter, XtSetTypeConverter - register resource converter

## Syntax

void XtAppSetTypeConverter(XtAppContext app_context, String
  from_type, String to_type, XtConverter converter, XtConvertArgList convert_args, Cardinal num_args, XtCacheType cache_type, XtDestructor destructor);
void XtSetTypeConverter(String from_type, String to_type,
  XtConverter converter, XtConvertArgList convert_args, Cardinal num_args, XtCacheType cache_type, XtDestructor destructor);

## Arguments

Specifies the application context.

Specifies the type converter procedure.

Specifies how to compute the additional arguments to the converter or NULL.

Specifies the source type.

Specifies the number of additional arguments to the converter or zero.

Specifies the destination type.

Specifies whether or not resources produced by this converter are sharable or display-specific and when they should be freed.

Specifies a destroy procedure for resources produced by this conversion, or NULL if no addional action is required to deallocate resources produced by the converter.

## Description

XtSetTypeConverter registers the specified type converter and destructor in all application contexts created by the calling process, including any future application contexts that may be created. XtAppSetTypeConverter registers the specified type converter in the single application context specified. If the same from_type and to_type are specified in multiple calls to either function, the most recent overrides the previous ones.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also